Subject: Re: [manet] Alexey Melnikov's Discuss on draft-ietf-manet-dlep-27: (with DISCUSS and COMMENT)

From: Stan Ratliff <[email-masked]>
Date: Sun, 5 Mar 2017 21:22:22 -0500

Alexey,

Thank you for the additional feedback. The authors have submitted DLEP-28
to address your comments. Please let us know if this is sufficient.
Additional comments inline.

On Sun, Feb 12, 2017 at 2:22 PM, Alexey Melnikov <[email-masked]>
wrote:

> Alexey Melnikov has entered the following ballot position for
> draft-ietf-manet-dlep-27: Discuss
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-manet-dlep/
>
>
>
> ----------------------------------------------------------------------
> DISCUSS:
> ----------------------------------------------------------------------
>
> This is generally a well written document and I enjoyed reading it.
>
> I have one remaining question which I would like to quickly discuss
> before recommending approval of this document:
>
> Section 14 (Security Considerations) now says:
>
>    When TLS is in use, each peer SHOULD check the validity of
>    credentials presented by the other peer during TLS session
>    establishment.  Mobile implementations MAY need to consider use of
>    pre-shared keys for credentials; implementations following the
>    "networked deployment" model described in Implementation Scenarios
>    SHOULD refer to [RFC7525] for additional details.
>
> RFC 7525 that you are referencing contains recommendations on version of
> TLS and ciphersuites to use.
> Section 6.1 of RFC 7525 talks about "Host Name Validation". I don't think
> this section applies to DLEP. So can you elaborate on how server identity
> is going to be verified using pre-shared keys and which parts of RFC 7525
> do you think apply to DLEP?
>

We have added text to clarify that "dedicated deployments" may need to
provide their own host name validation. The reference to RFC 7525 is now
limited to "networked deployments" (those deployments that are instantiated
in existing networks with the requisite services).

>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Thank you for addressing my earlier DISCUSS points.
>
> 13.  DLEP Data Items
>
>    Following is the list of core Data Items that MUST be recognized by
> a
>    DLEP compliant implementation.  As mentioned before, not all Data
>    Items need be used during a session, but an implementation MUST
>    correctly process these Data Items when correctly associated with a
>    Signal or Message.
>
> Is "skip over or ignore" a valid way to "correctly process"? I think so,
> but
> this might not be obvious from the text as written.
>

This text has been removed.

Regards,
Stan

>
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>